<style>
#allEntriesBlock {margin-top: -8px;}
#allEntriesBlock .app-btn {display: block; padding: 8px;}
#allEntriesBlock .app-btn:hover {background: rgba(0,0,0,.05)}
#allEntriesBlock .app-btn .name {display: inline-block; line-height: 18px;     vertical-align: middle; margin-left: 8px;}
</style>
<div id='allEntriesBlock' class='all-entries panel-body has-table'>
  <div class='row'>
    <?php
    foreach($entries as $entry)
    {
        $image     = '';
        $entryName = $entry->name;

        if(!$entry->logo)
        {
            $hue = $entry->id * 47 % 360;
            $name = $entry->abbr ? $entry->abbr : $entry->name;
            $entryName = validater::checkCode(substr($name, 0, 1)) ? strtoupper(substr($name, 0, 1)) : substr($name, 0, 3);
            if(validater::checkCode(substr($name, 0, 1)) and validater::checkCode(substr($name, 1, 1)))   $entryName .= strtoupper(substr($name, 1, 1));
            if(validater::checkCode(substr($name, 0, 1)) and !validater::checkCode(substr($name, 1, 1)))  $entryName .= strtoupper(substr($name, 1, 3));
            if(!validater::checkCode(substr($name, 0, 1)) and validater::checkCode(substr($name, 3, 1)))  $entryName .= strtoupper(substr($name, 3, 1));
            if(!validater::checkCode(substr($name, 0, 1)) and !validater::checkCode(substr($name, 3, 1))) $entryName .= substr($name, 3, 3);
        }
        else $image = html::image($entry->logo);

        echo "<div class='col col-xs-4'>" . html::a($entry->login, "<div class='avatar avatar-app avatar-sm' data-code='$entry->code' data-id='$entry->id' data-name='$entryName'>" . $image . '</div><span class="name">' . $entry->name . '</span>', "class='app-btn' data-id='$entry->id'") . "</div>";
    }
    ?>
  </div>
</div>
